SELECT *
FROM washtenaw_2023_training_out.movesoutput;

SELECT MOVESRunID, dayID, hourID, pollutantID, processID,
       sourceTypeID, fuelTypeID, emissionQuant
FROM washtenaw_2023_training_out.movesoutput;

SELECT MOVESRunID, dayID, hourID, pollutantID, processID,
       sourceTypeID, fuelTypeID, emissionQuant
FROM washtenaw_2023_training_out.movesoutput
WHERE processID = 1;

SELECT MOVESRunID, dayID, hourID, pollutantID,
       processID, sourceTypeID, SUM(emissionQuant)
FROM washtenaw_2023_training_out.movesoutput
WHERE processID = 1
GROUP BY MOVESRunID, dayID, hourID, pollutantID,
       processID, sourceTypeID;
       
SELECT MOVESRunID, dayID, pollutantID, sourceTypeID, SUM(emissionQuant)
FROM washtenaw_2023_training_out.movesoutput
GROUP BY MOVESRunID, dayID, pollutantID, sourceTypeID;

SELECT MOVESRunID, dayID, activityTypeID, sourceTypeID, SUM(activity)
FROM washtenaw_2023_training_out.movesactivityoutput
GROUP BY MOVESRunID, dayID, activityTypeID, sourceTypeID;

SELECT MOVESRunID, dayID, activityTypeDesc, sourceTypeID, SUM(activity)
FROM washtenaw_2023_training_out.movesactivityoutput
JOIN washtenaw_2023_training_out.translate_activitytype USING (activityTypeID)
GROUP BY MOVESRunID, dayID, activityTypeID, sourceTypeID;

SELECT MOVESRunID, monthID, pollutantID, sourceTypeID, noOfDays, 
       SUM(emissionQuant * dayID * noOfDays / 7) AS monthInventory
FROM washtenaw_2023_training_out.movesoutput
JOIN movesdb20230615.monthofanyyear USING (monthID)
GROUP BY MOVESRunID, monthID, pollutantID, sourceTypeID;

FLUSH TABLES;
